Subject: Ticket Assigned - Hello center point =0AI was ordered on 28-5-2020 still not received products. =0AOn 10-06-2020 I have re...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 17 Jun 2020 05:59:08 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hello center point 
I was ordered on 28-5-2020 still not received products. 
On 10-06-2020 I have re... Hello center point 
I was ordered on 28-5-2020 still not received products. 
On 10-06-2020 I have received text message from Saudi post but they didn't call. 
Shipment No عزيزنا العميل، نشعركم بأنه يوجد لديكم شحنة برقم CRDSAL0023156920 سيصلكم موزعنا في أقرب وقت , برمز التسليم : 17389.
Please make sure when it will deliver.
Thanks 
Mohammed Irshad https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1205541